
<!-- NAVBAR -->
<nav class="navbar navbar-expand-lg navbar-light white fixed-top" style="background-color: #ffffff;">
    <a class="navbar-brand" routerLink="/">
        <!-- EVENL ICON -->
        <span style="color: rgb(157, 187, 21);">
            <i class="fas fa-door-open fa-2x"></i>
        </span>
    </a>

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">

        <!-- LEFT NAVBAR -->
        <form class="form-inline mr-auto">
          <div class="input-group">
            <input class="form-control" type="search" placeholder="Pesquisar" id="example-search-input">
            <span class="input-group-append">
              <button class="btn btn-outline-secondary" type="button">
                  <i class="fa fa-search"></i>
              </button>
            </span>
          </div>
        </form>

        <!-- RIGHT NAVBAR -->
        <ul class="navbar-nav my-2 my-lg-0">

            <!-- USER LOGIN/LOGGED -->
            <li class="nav-item">
              <a class="nav-link" *ngIf="!currentUser" routerLink="/registration">Cadastre-se</a>
            </li>
            <li class="nav-item" *ngIf="currentUser">
                <a class="nav-link" routerLink="manage_spaces">Dashboard</a>
            </li>
            <li class="nav-item" *ngIf="currentUser">
                <div class="dropdown">
                    <a class="btn" role="button" id="dropdownMenuLink" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
                      Mensagens
                    </a>

                    <div class=" text-center dropdown-menu dropdown-menu-msg dropdown-menu-right" aria-labelledby="dropdownMenuLink">
                      <h5>Conversas</h5>
                      <hr/>
                      <p class="lead">Lorem ipsum dolor sit amet, consectetur adipiscing elit.</p>
                      <hr/>
                      <button type="button" class="btn btn-danger" routerLink="chat">Abrir Chat</button>
                    </div>
                </div>
            </li>
            <li class="nav-item" *ngIf="currentUser">
              <div class="dropdown">
                  <a class="btn" role="button" id="notifications" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="far fa-bell"></i>

                    <ng-template [ngIf]="globals.bookingsRequests.length > 0">
                      <span class="badge badge-danger">{{ globals.bookingsRequests.length }}</span>
                    </ng-template>

                  </a>

                  <div class=" text-center dropdown-menu dropdown-menu-msg dropdown-menu-right" aria-labelledby="dropdownMenuLink">
                    <h5>Solicitações de reserva</h5>
                    <p class="lead">Suas solicitações de reserva aparecem aqui!</p>
                    <ng-template [ngIf]="globals.bookingsRequests.length > 0">
                      <div *ngIf="globals.bookingsRequests.length == 1; else elseBlock">
                        <p>
                          {{ globals.bookingsRequests.length }} nova solicitação.
                        </p>
                      </div>
                      <ng-template #elseBlock>
                        <p>
                          {{ globals.bookingsRequests.length }} novas solicitações.
                        </p>
                      </ng-template>
                    </ng-template>
                    <button type="button" class="btn btn-danger" routerLink="requests">Ver solicitações</button>
                  </div>
              </div>
          </li>
            <li class="nav-item">
                <div class="dropdown show mr-3 ml-3" *ngIf="currentUser; else elseBlock">
                    <a class="dropdown" id="dropdownMenuUser" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        <i class="fas fa-user fa-2x" style="color: #838383"></i>
                    </a>
                    <div class="dropdown-menu dropdown-menu-right" aria-labelledby="dropdownMenuUser">
                        <a class="dropdown-item" routerLink="booking">Minhas reservas
                            <ng-template [ngIf]="globals.bookingsResponse.length > 0">
                                <span class="badge badge-danger">{{ globals.bookingsResponse.length }}</span>
                              </ng-template>
                        </a>
                        <a class="dropdown-item" routerLink="profile">Perfil</a>
                        <a class="dropdown-item" routerLink="account">Conta</a>
                        <a class="dropdown-item" (click)="logout()">Sair</a>
                    </div>
                </div>

                <ng-template #elseBlock>
                  <a class="nav-link" routerLink="login">Login</a>
                </ng-template>
            </li>
        </ul>
    </div>
</nav>

<!-- main app container -->
<main class="mt-5 pt-5">
  <div class="container">
      <div *ngIf="routeLoading" class="loading">Aguarde...</div>
      <router-outlet *ngIf="!routeLoading"></router-outlet>
  </div>
</main>

<!-- FOOTER -->
<footer class="mt-2" id="myFooter">
  <div class="container">
    <div class="row">

      <div class="col-sm-3">
        <span style="font-size: 2em; color: rgb(157, 187, 21);">
          <i class="fas fa-door-open fa-3x"></i>
        </span>
      </div>

      <div class="col-sm-2">
        <h5>Inicio</h5>
        <ul>
          <li><a routerLink="/">Home</a></li>
          <li><a href="#">Anuncie</a></li>
          <li><a href="#">Parceiros</a></li>
        </ul>
      </div>

      <div class="col-sm-2">
        <h5>Sobre</h5>
        <ul>
          <li><a routerLink="about">Informações</a></li>
          <li><a href="#">Contato</a></li>
        </ul>
      </div>

      <div class="col-sm-2">
        <h5>Suporte</h5>
        <ul>
          <li><a href="#">FAQ</a></li>
          <li><a href="#">Telefones</a></li>
          <li><a href="#">Chat</a></li>
        </ul>
      </div>

      <div class="col-sm-3">
        <div class="social-networks">
          <a href="#" class="facebook"><i class="fab fa-facebook-square fa-lg"></i></a>
          <a href="#" class="instagram"><i class="fab fa-instagram fa-lg"></i></a>
          <a href="#" class="twitter"><i class="fab fa-twitter-square fa-lg"></i></a>
        </div>
        <a href="#">
          <button type="button" class="btn btn-default">Contato</button>
        </a>
      </div>

    </div>
  </div>

  <div class="footer-copyright">
    <p>© 2019 Copyright - EvenL</p>
  </div>

</footer>
